Skip to main content
POST
/
changesets
/
{id}
/
revert
Revert changeset
curl --request POST \
  --url https://api.questra.ai/changesets/{id}/revert \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "id": "<string>",
  "survey_id": "<string>",
  "idempotency_key": "<string>",
  "user_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "user_name": "<string>",
  "file_id": "<string>",
  "title": "<string>",
  "metadata": {},
  "change_count": 123,
  "last_change_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.questra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Unique ID of the changeset to revert

Response

The changeset created by the revert operation

id
string
required
survey_id
string
required
idempotency_key
string
required
type
enum<string>
required
Available options:
initial_programming,
ai_prompt,
revert,
manual,
export,
platform_pull,
platform_push_auto
status
enum<string>
required
Available options:
creating,
awaiting_approval,
in_progress,
complete,
error,
open,
closed,
cancelled,
discarded
user_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
user_name
string
file_id
string
title
string
metadata
object
change_count
integer
last_change_at
string<date-time>